diff -aruN --binary 10/libraries/joomla/document/feed/renderer/rss.php 11/libraries/joomla/document/feed/renderer/rss.php
--- 10/libraries/joomla/document/feed/renderer/rss.php	2009-03-28 01:44:00.000000000 +0100
+++ 11/libraries/joomla/document/feed/renderer/rss.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: rss.php 11687 2009-03-11 17:49:23Z ian $
+ * @version		$Id: rss.php 11806 2009-05-10 00:28:51Z kdevine $
  * @package		Joomla.Framework
  * @subpackage	Document
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -50,7 +50,7 @@
 
 		$uri =& JFactory::getURI();
 		$url = $uri->toString(array('scheme', 'user', 'pass', 'host', 'port'));
-		$syndicationURL =& JRoute::_('&format=feed&type=atom');
+		$syndicationURL =& JRoute::_('&format=feed&type=rss');
 		
 		$feed = "<rss version=\"2.0\" xmlns:atom=\"http://www.w3.org/2005/Atom\">\n";
 		$feed.= "	<channel>\n";
@@ -59,7 +59,6 @@
 		$feed.= "		<link>".str_replace(' ','%20',$url.$data->link)."</link>\n";
 		$feed.= "		<lastBuildDate>".htmlspecialchars($now->toRFC822(), ENT_COMPAT, 'UTF-8')."</lastBuildDate>\n";
 		$feed.= "		<generator>".$data->getGenerator()."</generator>\n";
-		$feed.= '       <atom:link rel="self" type="application/atom+xml" href="'.str_replace(' ','%20',$url.$syndicationURL).'" />';
 	
 		if ($data->image!=null)
 		{
@@ -84,8 +83,9 @@
 		if ($data->copyright!="") {
 			$feed.= "		<copyright>".htmlspecialchars($data->copyright,ENT_COMPAT, 'UTF-8')."</copyright>\n";
 		}
-		if ($data->editor!="") {
-			$feed.= "		<managingEditor>".htmlspecialchars($data->editor, ENT_COMPAT, 'UTF-8')."</managingEditor>\n";
+		if ($data->editorEmail!="") {
+			$feed.= "		<managingEditor>".htmlspecialchars($data->editorEmail, ENT_COMPAT, 'UTF-8').' ('.
+				htmlspecialchars($data->editor, ENT_COMPAT, 'UTF-8').")</managingEditor>\n";
 		}
 		if ($data->webmaster!="") {
 			$feed.= "		<webMaster>".htmlspecialchars($data->webmaster, ENT_COMPAT, 'UTF-8')."</webMaster>\n";
@@ -121,6 +121,7 @@
 			$feed.= "		<item>\n";
 			$feed.= "			<title>".htmlspecialchars(strip_tags($data->items[$i]->title), ENT_COMPAT, 'UTF-8')."</title>\n";
 			$feed.= "			<link>".str_replace(' ','%20',$data->items[$i]->link)."</link>\n";
+			$feed.= "			<guid>".str_replace(' ','%20',$data->items[$i]->link)."</guid>\n";
 			$feed.= "			<description><![CDATA[".$this->_relToAbs($data->items[$i]->description)."]]></description>\n";
 
 			if ($data->items[$i]->authorEmail!="") {
@@ -173,7 +174,7 @@
 	function _relToAbs($text)
 	{
 		$base = JURI::base();
-  		$text = preg_replace("/(href|src)=\"(?!http|ftp|https)([^\"]*)\"/", "$1=\"$base\$2\"", $text);
+  		$text = preg_replace("/(href|src)=\"(?!http|ftp|https|mailto)([^\"]*)\"/", "$1=\"$base\$2\"", $text);
 
 		return $text;
 	}
diff -aruN --binary 10/libraries/joomla/document/html/renderer/head.php 11/libraries/joomla/document/html/renderer/head.php
--- 10/libraries/joomla/document/html/renderer/head.php	2008-09-09 16:19:42.000000000 +0200
+++ 11/libraries/joomla/document/html/renderer/head.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: head.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: head.php 11917 2009-05-29 19:37:05Z ian $
 * @package		Joomla.Framework
 * @subpackage	Document
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -74,7 +74,7 @@
 				if ($type == 'http-equiv') {
 					$strHtml .= $tab.'<meta http-equiv="'.$name.'" content="'.$content.'"'.$tagEnd.$lnEnd;
 				} elseif ($type == 'standard') {
-					$strHtml .= $tab.'<meta name="'.$name.'" content="'.$content.'"'.$tagEnd.$lnEnd;
+					$strHtml .= $tab.'<meta name="'.$name.'" content="'.str_replace('"',"'",$content).'"'.$tagEnd.$lnEnd;
 				}
 			}
 		}
@@ -155,4 +155,4 @@
 
 		return $strHtml;
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 10/libraries/joomla/document/html/renderer/module.php 11/libraries/joomla/document/html/renderer/module.php
--- 10/libraries/joomla/document/html/renderer/module.php	2008-09-09 16:19:42.000000000 +0200
+++ 11/libraries/joomla/document/html/renderer/module.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: module.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: module.php 11810 2009-05-13 16:14:07Z ian $
 * @package		Joomla.Framework
 * @subpackage	Document
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -73,13 +73,13 @@
 
 		$contents = '';
 		if ($mod_params->get('cache', 0) && $conf->getValue( 'config.caching' ))
-		{
+		{	
 			$cache =& JFactory::getCache( $module->module );
 
 			$cache->setLifeTime( $mod_params->get( 'cache_time', $conf->getValue( 'config.cachetime' ) * 60 ) );
 			$cache->setCacheValidation(true);
 
-			$contents =  $cache->get( array('JModuleHelper', 'renderModule'), array( $module, $params ), $module->id. $user->get('aid', 0) );
+			$contents =  $cache->get( array('JModuleHelper', 'renderModule'), array( $module, $params ), $module->id. $user->get('aid', 0).md5(JRequest::getURI()) );
 		} else {
 			$contents = JModuleHelper::renderModule($module, $params);
 		}
diff -aruN --binary 10/libraries/joomla/factory.php 11/libraries/joomla/factory.php
--- 10/libraries/joomla/factory.php	2009-03-28 01:44:00.000000000 +0100
+++ 11/libraries/joomla/factory.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: factory.php 11680 2009-03-08 20:51:13Z willebil $
+ * @version		$Id: factory.php 11811 2009-05-13 16:16:52Z ian $
  * @package		Joomla.Framework
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -130,7 +130,7 @@
 	 * if it doesn't already exist.
 	 *
 	 * @access public
-	 * @return object JLanguage
+	 * @return object JDocument
 	 */
 	function &getDocument()
 	{
diff -aruN --binary 10/libraries/joomla/filesystem/file.php 11/libraries/joomla/filesystem/file.php
--- 10/libraries/joomla/filesystem/file.php	2009-03-28 01:44:00.000000000 +0100
+++ 11/libraries/joomla/filesystem/file.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: file.php 11656 2009-03-08 20:05:54Z willebil $
+ * @version		$Id: file.php 11807 2009-05-10 00:33:43Z kdevine $
  * @package		Joomla.Framework
  * @subpackage	FileSystem
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -374,7 +374,11 @@
 	 * @since 1.5
 	 */
 	function getName($file) {
-		$slash = strrpos($file, DS) + 1;
-		return substr($file, $slash);
+		$slash = strrpos($file, DS);
+		if ($slash !== false) {
+			return substr($file, $slash + 1);
+		} else {
+			return $file;
+		}
 	}
 }
diff -aruN --binary 10/libraries/joomla/installer/adapters/component.php 11/libraries/joomla/installer/adapters/component.php
--- 10/libraries/joomla/installer/adapters/component.php	2009-03-28 01:44:00.000000000 +0100
+++ 11/libraries/joomla/installer/adapters/component.php	2009-06-02 23:51:36.000000000 +0200
@@ -189,34 +189,55 @@
 		// If there is an install file, lets copy it.
 		$installScriptElement =& $this->manifest->getElementByPath('installfile');
 		if (is_a($installScriptElement, 'JSimpleXMLElement')) {
-			// Make sure it hasn't already been copied (this would be an error in the xml install file)
-			// Only copy over an existing file when upgrading components
-			if (!file_exists($this->parent->getPath('extension_administrator').DS.$installScriptElement->data()) || $this->parent->getOverwrite())
-			{
-				$path['src']	= $this->parent->getPath('source').DS.$installScriptElement->data();
-				$path['dest']	= $this->parent->getPath('extension_administrator').DS.$installScriptElement->data();
-				if (!$this->parent->copyFiles(array ($path))) {
-					// Install failed, rollback changes
-					$this->parent->abort(JText::_('Component').' '.JText::_('Install').': '.JText::_('Could not copy PHP install file.'));
-					return false;
+			// check if it actually has a value
+			$installScriptFilename = $installScriptElement->data();
+			if(empty($installScriptFilename)) {
+				if(JDEBUG) JError::raiseWarning(43, JText::sprintf('BLANKSCRIPTELEMENT', JText::_('install')));
+			} else {
+				// Make sure it hasn't already been copied (this would be an error in the xml install file)
+				// Only copy over an existing file when upgrading components
+				if (!file_exists($this->parent->getPath('extension_administrator').DS.$installScriptFilename) || $this->parent->getOverwrite())
+				{
+					$path['src']	= $this->parent->getPath('source').DS.$installScriptFilename;
+					$path['dest']	= $this->parent->getPath('extension_administrator').DS.$installScriptFilename;
+					if(file_exists($path['src']) && file_exists(dirname($path['dest']))) {
+						if (!$this->parent->copyFiles(array ($path))) {
+							// Install failed, rollback changes
+							$this->parent->abort(JText::_('Component').' '.JText::_('Install').': '.JText::_('Could not copy PHP install file.'));
+							return false;
+						}
+					} else if(JDEBUG) {
+						JError::raiseWarning(42, JText::sprintf('INVALIDINSTALLFILE', JText::_('install')));
+					}
 				}
+				$this->set('install.script', $installScriptFilename);
 			}
-			$this->set('install.script', $installScriptElement->data());
 		}
 
 		// If there is an uninstall file, lets copy it.
 		$uninstallScriptElement =& $this->manifest->getElementByPath('uninstallfile');
 		if (is_a($uninstallScriptElement, 'JSimpleXMLElement')) {
-			// Make sure it hasn't already been copied (this would be an error in the xml install file)
-			// Only copy over an existing file when upgrading components
-			if (!file_exists($this->parent->getPath('extension_administrator').DS.$uninstallScriptElement->data()) || $this->parent->getOverwrite())
-			{
-				$path['src']	= $this->parent->getPath('source').DS.$uninstallScriptElement->data();
-				$path['dest']	= $this->parent->getPath('extension_administrator').DS.$uninstallScriptElement->data();
-				if (!$this->parent->copyFiles(array ($path))) {
-					// Install failed, rollback changes
-					$this->parent->abort(JText::_('Component').' '.JText::_('Install').': '.JText::_('Could not copy PHP uninstall file.'));
-					return false;
+			// check it actually has a value
+			$uninstallScriptFilename = $uninstallScriptElement->data();
+			if(empty($uninstallScriptFilename)) {
+				// display a warning when we're in debug mode
+				if(JDEBUG) JError::raiseWarning(43, JText::sprintf('BLANKSCRIPTELEMENT', JText::_('uninstall')));
+			} else {
+				// Make sure it hasn't already been copied (this would be an error in the xml install file)
+				// Only copy over an existing file when upgrading components
+				if (!file_exists($this->parent->getPath('extension_administrator').DS.$uninstallScriptFilename) || $this->parent->getOverwrite())
+				{
+					$path['src']	= $this->parent->getPath('source').DS.$uninstallScriptFilename;
+					$path['dest']	= $this->parent->getPath('extension_administrator').DS.$uninstallScriptFilename;
+					if(file_exists($path['src']) && file_exists(dirname($path['dest']))) {
+						if (!$this->parent->copyFiles(array ($path))) {
+							// Install failed, rollback changes
+							$this->parent->abort(JText::_('Component').' '.JText::_('Install').': '.JText::_('Could not copy PHP install file.'));
+							return false;
+						}
+					} else if(JDEBUG) {
+						JError::raiseWarning(42, JText::sprintf('INVALIDINSTALLFILE', JText::_('uninstall')));
+					}
 				}
 			}
 		}
@@ -294,6 +315,11 @@
 			$this->parent->abort(JText::_('Component').' '.JText::_('Install').': '.JText::_('Could not copy setup file'));
 			return false;
 		}
+
+		// Load component lang file
+		$lang =& JFactory::getLanguage();
+		$lang->load(strtolower("com_".str_replace(" ", "", $this->get('name'))));
+
 		return true;
 	}
 
diff -aruN --binary 10/libraries/joomla/installer/adapters/module.php 11/libraries/joomla/installer/adapters/module.php
--- 10/libraries/joomla/installer/adapters/module.php	2009-03-28 01:44:00.000000000 +0100
+++ 11/libraries/joomla/installer/adapters/module.php	2009-06-02 23:51:36.000000000 +0200
@@ -159,10 +159,6 @@
 		$this->parent->parseMedia($this->manifest->getElementByPath('media'), $clientId);
 		$this->parent->parseLanguages($this->manifest->getElementByPath('languages'), $clientId);
 
-		// Load the language file
-		$lang		= & JFactory::getLanguage();
-		$lang->load($mname,$basePath);
-
 		// Parse deprecated tags
 		$this->parent->parseFiles($this->manifest->getElementByPath('images'), -1);
 
@@ -250,6 +246,11 @@
 			$this->parent->abort(JText::_('Module').' '.JText::_('Install').': '.JText::_('Could not copy setup file'));
 			return false;
 		}
+
+		// Load module language file
+		$lang =& JFactory::getLanguage();
+		$lang->load($row->module, JPATH_BASE.DS.'..');
+
 		return true;
 	}
 
diff -aruN --binary 10/libraries/joomla/installer/adapters/plugin.php 11/libraries/joomla/installer/adapters/plugin.php
--- 10/libraries/joomla/installer/adapters/plugin.php	2008-07-06 23:39:38.000000000 +0200
+++ 11/libraries/joomla/installer/adapters/plugin.php	2009-06-02 23:51:36.000000000 +0200
@@ -200,6 +200,11 @@
 			$this->parent->abort(JText::_('Plugin').' '.JText::_('Install').': '.JText::_('Could not copy setup file'));
 			return false;
 		}
+
+		// Load plugin language file
+		$lang =& JFactory::getLanguage();
+		$lang->load('plg_'.$group.'_'.$pname);
+
 		return true;
 	}
 
@@ -313,4 +318,4 @@
 		$db->setQuery($query);
 		return ($db->query() !== false);
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 10/libraries/joomla/installer/adapters/template.php 11/libraries/joomla/installer/adapters/template.php
--- 10/libraries/joomla/installer/adapters/template.php	2008-07-06 23:39:38.000000000 +0200
+++ 11/libraries/joomla/installer/adapters/template.php	2009-06-02 23:51:36.000000000 +0200
@@ -137,6 +137,11 @@
 			$this->parent->abort(JText::_('Template').' '.JText::_('Install').': '.JText::_('Could not copy setup file'));
 			return false;
 		}
+
+		// Load template language file
+		$lang =& JFactory::getLanguage();
+		$lang->load('tpl_'.$name);
+
 		return true;
 	}
 
@@ -192,4 +197,4 @@
 		}
 		return $retval;
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 10/libraries/joomla/user/authorization.php 11/libraries/joomla/user/authorization.php
--- 10/libraries/joomla/user/authorization.php	2008-09-09 16:19:42.000000000 +0200
+++ 11/libraries/joomla/user/authorization.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: authorization.php 10834 2008-08-28 10:38:50Z eddieajau $
+* @version		$Id: authorization.php 11784 2009-04-24 17:34:11Z kdevine $
 * @package		Joomla.Framework
 * @subpackage	User
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -143,10 +143,6 @@
 		$this->addACL( 'com_media', 'popup', 'users', 'super administrator' );
 		$this->addACL( 'com_media', 'popup', 'users', 'administrator' );
 		$this->addACL( 'com_media', 'popup', 'users', 'manager' );
-		$this->addACL( 'com_media', 'popup', 'users', 'registered' );
-		$this->addACL( 'com_media', 'popup', 'users', 'author' );
-		$this->addACL( 'com_media', 'popup', 'users', 'editor' );
-		$this->addACL( 'com_media', 'popup', 'users', 'publisher' );
 
 		$this->addACL( 'com_menus', 'manage', 'users', 'administrator' );
 		$this->addACL( 'com_menus', 'manage', 'users', 'super administrator' );
@@ -532,4 +528,4 @@
 		$this->addACL($aco_section_value, $aco_value, $aro_section_value, $aro_value, $axo_section_value, $axo_value, $return_value);
 	}
 
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 10/libraries/joomla/version.php 11/libraries/joomla/version.php
--- 10/libraries/joomla/version.php	2009-03-28 01:44:02.000000000 +0100
+++ 11/libraries/joomla/version.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: version.php 11705 2009-03-25 22:06:15Z willebil $
+ * @version		$Id: version.php 11987 2009-06-03 01:08:57Z ian $
  * @package	Joomla.Framework
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -26,15 +26,15 @@
 	/** @var string Development Status */
 	var $DEV_STATUS = 'Production/Stable';
 	/** @var int Sub Release Level */
-	var $DEV_LEVEL 	= '10';
+	var $DEV_LEVEL 	= '11';
 	/** @var int build Number */
 	var $BUILD	= '';
 	/** @var string Codename */
-	var $CODENAME 	= 'Wohmamni';
+	var $CODENAME 	= 'Vea';
 	/** @var string Date */
-	var $RELDATE 	= '27-March-2009';
+	var $RELDATE 	= '03-June-2009';
 	/** @var string Time */
-	var $RELTIME 	= '23:00';
+	var $RELTIME 	= '03:30';
 	/** @var string Timezone */
 	var $RELTZ 	= 'GMT';
 	/** @var string Copyright Text */
diff -aruN --binary 10/modules/mod_login/tmpl/default.php 11/modules/mod_login/tmpl/default.php
--- 10/modules/mod_login/tmpl/default.php	2008-09-09 16:19:42.000000000 +0200
+++ 11/modules/mod_login/tmpl/default.php	2009-06-02 23:51:36.000000000 +0200
@@ -63,7 +63,7 @@
 		$usersConfig = &JComponentHelper::getParams( 'com_users' );
 		if ($usersConfig->get('allowUserRegistration')) : ?>
 		<li>
-			<a href="<?php echo JRoute::_( 'index.php?option=com_user&task=register' ); ?>">
+			<a href="<?php echo JRoute::_( 'index.php?option=com_user&view=register' ); ?>">
 				<?php echo JText::_('REGISTER'); ?></a>
 		</li>
 		<?php endif; ?>
diff -aruN --binary 10/modules/mod_mainmenu/helper.php 11/modules/mod_mainmenu/helper.php
--- 10/modules/mod_mainmenu/helper.php	2009-03-28 01:44:02.000000000 +0100
+++ 11/modules/mod_mainmenu/helper.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: helper.php 11674 2009-03-08 20:42:10Z willebil $
+* @version		$Id: helper.php 11799 2009-05-06 02:15:50Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
@@ -300,8 +300,22 @@
 
 		$iParams = new JParameter($tmp->params);
 		if ($params->get('menu_images') && $iParams->get('menu_image') && $iParams->get('menu_image') != -1) {
-			$imgalign = $params->get('menu_images_align', 0) == 1 ? 'right' : 'left';
-			$image = '<img src="'.JURI::base(true).'/images/stories/'.$iParams->get('menu_image').'" align="'.$imgalign.'" alt="'.$item->alias.'" />';
+			switch ($params->get('menu_images_align', 0)){
+				case 0 : 
+				$imgalign='align="left"';
+				break;
+				
+				case 1 :
+				$imgalign='align="right"';
+				break;
+				
+				default :
+				$imgalign='';
+				break;
+			}
+				
+			
+			$image = '<img src="'.JURI::base(true).'/images/stories/'.$iParams->get('menu_image').'" '.$imgalign.' alt="'.$item->alias.'" />';
 			if($tmp->ionly){
 				 $tmp->name = null;
 			 }
diff -aruN --binary 10/plugins/content/pagenavigation.php 11/plugins/content/pagenavigation.php
--- 10/plugins/content/pagenavigation.php	2008-07-06 23:40:02.000000000 +0200
+++ 11/plugins/content/pagenavigation.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: pagenavigation.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: pagenavigation.php 11783 2009-04-24 17:28:10Z kdevine $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
@@ -150,13 +150,13 @@
 		}
 
 		if ($row->prev) {
-			$row->prev = JRoute::_('index.php?option=com_content&view=article&catid='.$row->prev->catslug.'&id='.$row->prev->slug);
+			$row->prev = JRoute::_(ContentHelperRoute::getArticleRoute($row->prev->slug, $row->prev->catslug));
 		} else {
 			$row->prev = '';
 		}
 
 		if ($row->next) {
-			$row->next = JRoute::_('index.php?option=com_content&view=article&catid='.$row->next->catslug.'&id='.$row->next->slug);
+			$row->next = JRoute::_(ContentHelperRoute::getArticleRoute($row->next->slug, $row->next->catslug));
 		} else {
 			$row->next = '';
 		}
diff -aruN --binary 10/plugins/editors-xtd/image.php 11/plugins/editors-xtd/image.php
--- 10/plugins/editors-xtd/image.php	2008-09-09 16:19:42.000000000 +0200
+++ 11/plugins/editors-xtd/image.php	2009-06-02 23:51:36.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: image.php 10709 2008-08-21 09:58:52Z eddieajau $
+ * @version		$Id: image.php 11784 2009-04-24 17:34:11Z kdevine $
  * @package		Joomla
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -48,7 +48,18 @@
 	function onDisplay($name)
 	{
 		global $mainframe;
-
+		$params =& JComponentHelper::getParams('com_media');
+		$ranks = array('publisher', 'editor', 'author', 'registered');
+		$acl = & JFactory::getACL();
+		for($i = 0; $i < $params->get('allowed_media_usergroup', 3); $i++)
+		{
+			$acl->addACL( 'com_media', 'popup', 'users', $ranks[$i] );
+		}
+		//Make sure the user is authorized to view this page
+		$user = & JFactory::getUser();
+		if (!$user->authorize( 'com_media', 'popup' )) {
+			return;
+		}
 		$doc 		=& JFactory::getDocument();
 		$template 	= $mainframe->getTemplate();
 
@@ -65,4 +76,4 @@
 
 		return $button;
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
